org.vishia.vcs

## Class Bzr

- java.lang.Object
- - org.vishia.vcs.Bzr

-     public class Bzr
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bzr()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `searchRepository(java.io.File startDir, java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>> dst, java.lang.String bzrdir, java.lang.String bzrsrc)` Searches the repository starting from startDir in outer direction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bzr

          public Bzr()

  - ### Method Detail

    - #### searchRepository

          public static java.lang.String searchRepository(java.io.File startDir,
                                                          java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>> dst,
                                                          java.lang.String bzrdir,
                                                          java.lang.String bzrsrc)
                                                   throws java.io.IOException,
                                                          java.lang.IllegalAccessException

      Searches the repository starting from startDir in outer direction. If the startDir contains a ".bzr" directory, it is the repository. If any parent dir contains it, bzrdir will be set to the parent dir. If startDir or any parent contains a file ".bzr.bat" and does not contain a ".bzr" dir, that file is read in to find out where the repository is located. It is the line which contains "bzr_mvExpl.bat BZRDIR". The BZRDIR should be relative to a system width defined location of all repositories. This routine does not deal with them, only returns the relativ path.
      Parameters:
        `startDir` - The start directory where to find the ".bzr"
        `dst` - A map which contains variables, the result will be put into.
        `bzrdir` - Name of the variable for dst to put the absolute path of the ".bzr" or ".bzr.bat"-location
        `bzrsrc` - Name of the variable for dst to put the relativ ".bzr" location find out in the ".bzr.bat". This variable is put with "$" if a ".bzr" is found in bzrdir.
      Returns:
        null if success, an error message if ".bzr" or ".bzr.bat" was not found.
      Throws:
        `java.io.IOException` - on any unexpected exception.
        `java.lang.IllegalAccessException`